import request from '@/utils/request'

export function index(params){
  return request({
    method:'get',
    url:'/api/admin/confinement-product/index',
    params
  })
}

export function show(params){
  return request({
    method:'get',
    url:'/api/admin/confinement-product/show',
    params
  })
}

export function store(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-product/store',
    data
  })
}

export function save(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-product/save',
    data
  })
}

export function destroy(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-product/destroy',
    data
  })
}

export function getPicture(params){
  return request({
    method:'get',
    url:'/api/admin/confinement-product/get-picture',
    params
  })
}

export function getCombo(params){
  return request({
    method:'get',
    url:'/api/admin/confinement-product/get-combo',
    params
  })
}

export function storePicture(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-product/store-picture',
    data
  })
}

export function destroyPicture(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-product/destroy-picture',
    data
  })
}

export function storeCombo(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-product/store-combo',
    data
  })
}

export function destroyCombo(data){
  return request({
    method:'post',
    url:'/api/admin/confinement-product/destroy-combo',
    data
  })
}
